body.modal-open {
  overflow: hidden; }

.modal {
  position: fixed;
  z-index: 9999;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: none;
  overflow: auto;
  background: rgba(255, 255, 255, 0.85); }
  .modal.show {
    display: block; }
  .modal.modal-large .modal-box {
    margin: 80px auto; }
  .modal__header {
    background: rgba(0, 0, 0, 0.8);
    width: 100%;
    height: 40px; }
    .modal__header__close {
      display: flex;
      align-content: center;
      justify-content: center;
      width: 40px;
      height: 40px;
      background: #252526;
      border-right: 1px solid black; }
      .modal__header__close > svg {
        fill: white; }

.modal-box {
  width: 582px;
  margin: 120px auto;
  border: 1px solid #d3d7d9;
  border-radius: 4px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.05); }
  .modal-box__header {
    padding: 12px 15px 12px 20px;
    border-radius: 4px 4px 0 0;
    background: #f8fafa; }
  .modal-box__close {
    line-height: 32px;
    color: #949899; }
  .modal-box__inner {
    padding: 0 20px; }
  .modal-box__content {
    padding: 32px 0;
    border-top: 1px solid #d3d7d9;
    background: #fff; }
  .modal-box__footer {
    padding: 12px 15px 12px 20px;
    border-radius: 0 0 4px 4px;
    background: #f8fafa; }
  .modal-box__btn-group {
    text-align: center; }
    .modal-box__btn-group > .btn--secondary {
      min-width: 100px;
      margin-right: 30px; }

@media only screen and (max-width: 640px) {
  .modal-box {
    width: 100%;
    margin: 64px auto; }
    .modal-box__content {
      padding: 16px 0; }
    .modal-box__btn-group {
      margin-left: 0; } }

@media only screen and (max-width: 480px) {
  .modal-box > .btn,
  .modal-box > .btn-link {
    display: block;
    width: 100%; } }

@media only screen and (max-width: 480px) {
  .modal-box__btn-group > .btn,
  .modal-box__btn-group > .btn-link {
    display: block;
    width: 100%; }
    .modal-box__btn-group > .btn:not(:last-child),
    .modal-box__btn-group > .btn-link:not(:last-child) {
      margin-bottom: 8px; } }
